﻿/******* Send/motta meldinger til/fra TimeApp'en og Chat i enkeltskjermbilder ***************/
/******* Benyttes pr oktober 2019 i Kontroller timer, Fakturer timer, Attestasjon, Attesterte bilag ***********/

/* Ikon i tabell for visning av meldinger med antall */
.controlTimeSendMessageButtonContainer {
    float: left;
    position: relative;
}

.ddAttestationDetailsContainer .controlTimeSendMessageButtonContainer{
    margin:-5px 0 0 10px;
    position:static;
}

.controlTimeSendMessageButton {
    height: 20px;
    width: 28px;
    background-image: url(../../img/Varsler_ikon.svg);
    background-repeat: no-repeat;
    background-size: contain;
    cursor: pointer;
    margin: 0 10px 0 0;
    border: none;
    background-color: transparent;
    outline: none;
}

.ddAttestationDetailsContainer .controlTimeSendMessageButton{
    width:25px;
    padding:0;
}

.messageCircleButton {
    border-radius: 50%;
    border: none;
    width: 7px;
    height: 17px;
    background: #ac3030;
    color: white;
    font-size: 12px;
    position: absolute;
    top: -4px;
    left: 12px;
    cursor: pointer;
    outline: none;
}

#reportIdType_bilaglogg ~ .jqx-grid .messageCircleButton {
    width: 18px;
    height: 18px;
    font-size: 11px;
    top: -5px;
}

/* Meldingsvindu */
#sendMessageWindow,
#viewMessagesWindow {
    padding: 0 15px 15px 15px;
}

.sendMessageTitle {
    font-size: 22px;
    font-weight: bold;
    margin: 0 0 8px 0;
}

.viewMessagesTitle {
    font-size: 21px;
    font-weight: bold;
    margin: 0 0 8px 0;
}

#sendMessageWindow .controlTimeSendMessageInfo {
    width: 99%;
    color: #9c9c9c;
    font-size: 13px;
}

/* Meldingslista */
.controlTimeViewMessagesList {
    font-size: 13px;
}

.controlTimeViewMessagesList.k-grid {
    border: 1px solid #dadada;
}

.controlTimeViewMessagesList.k-grid td {
    border-bottom: 0;
}

.controlTimeViewMessagesList div.k-grid-header {
    border-bottom-width: 0;
    border-bottom: 0;
}

.controlTimeViewMessagesList {
    height: 300px;
    margin-bottom: 1%;
}

/* Enkeltmeldingene inne i meldingslista */
.controlTimeMessageBody {
    border-radius: 12px;
    padding: 15px;
    white-space: normal;
}

.messageContainerAuthoredByMe {
    width: 90%;
    float: right;
}

.messageAuthoredByMe {
    background: #f1dbaa;
}

.messageContainerAuthoredByOther {
    width: 90%;
    float: left;
}

.messageAuthoredByOther {
    background: #e2e2e2;
}

.controlTimeMessageTitle {
    font-weight: bold;
    margin-left: 3px;
}

.controlTimeMessageDate {
    color: #787878;
    font-style: italic;
    font-size: 12px;
    margin-left: 3px;
}

/* Svar på melding felter */
.controlTimeSendMessageTitle {
    margin: 15px 0 5px 0;
}

.controlTimeSendMessageTitle input {
    width: 100%;
}

.sendMessageTextArea,
.viewMessagesTextArea {
    height: 100px;
    width: 95.5%;
}

/* Buttons */
.sendMessageButtonContainer,
.viewMessagesButtonContainer {
    font-size: 14px;
}

.sendMessageButtonContainer .sendButton,
.viewMessagesButtonContainer .sendButton{
    background-color: #0e3a2e;
    color: #fff;
    padding: 5px 22px;
    margin: 10px 15px 0 0;
    float: left;
}

.sendMessageButtonContainer a,
.viewMessagesButtonContainer a {
    margin-top: 16px;
    float: left;
}

.sendMessageButtonContainer .sendMessageButton {
    padding: 5px 22px;
    margin: 10px 15px 0 0;
    float: left;
}

.sendMessageButtonContainer .sendMessageButtonGreen,
.viewMessagesSendMessages .sendMessageButtonGreen{
    background-color:#0e3a2e;
    color:#fff;
}


/* Kvittering på at innlagt melding er sendt */
/* Tatt fra mobilappen, får vurdere om det bør gjøres mer generelt */
/* Meldingstype A og generelt */
.ddNotification {
    background-color: #fff;
    color: #333;
    -webkit-box-shadow: 0px 0px 20px 0px rgba(163,163,168, 0.80);
    box-shadow: 0px 0px 20px 0px rgba(163,163,168, 0.80);
}

/* Luft rundt meldingsteksten */
.ddNotification div {
    padding: 1%;
}

.ddHiddenNotification {
    position: absolute;
    height: 0%;
    width: 97%;
    left: 2px;
    color: transparent;
    z-index: 4;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.ddNotificationShow {
    height: 10%;
    color: #333;
}

